com.r3corda.node.services.statemachine / SendRequest

# SendRequest

`interface SendRequest : ProtocolIORequest`

### Properties

message | `abstract val message: SessionMessage`

### Inherited Properties

session | `abstract val session: ProtocolSession`
stackTraceInCaseOfProblems | `abstract val stackTraceInCaseOfProblems: StackSnapshot`

### Inheritors

SendAndReceive | `data class SendAndReceive<T : SessionMessage> : SendRequest, ReceiveRequest<T>`
SendOnly | `data class SendOnly : SendRequest`